Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
radm::LocalPort Interface Reference

Interface for local user interface. More...

`import "LocalPort.idl";`

## Classes
struct | Settings
| Local port settings. More...
struct | SettingsChangedEvent
| Event: Local port settings have changed. More...

## Public Types
enum | HotKey { DOUBLE_SCROLL_LOCK , DOUBLE_NUM_LOCK , DOUBLE_CAPS_LOCK , DOUBLE_LEFT_ALT_KEY , DOUBLE_LEFT_SHIFT_KEY , DOUBLE_LEFT_CTRL_KEY }
| Key combinations for switching from KVM port to local UI. More...
enum | ConnectKey { DISABLED , LEFT_ALT_KEY , LEFT_SHIFT_KEY , LEFT_CTRL_KEY }
| Keys for switching from local UI to KVM port. More...
enum | LocalUserAuthMode { COMMON , NONE }
| Authentication modes for local UI. More...

## Public Member Functions
LocalMonitor | getMonitor ()
| Get monitor attached to local port.
Settings | getSettings ()
| Get local port settings.
int | setSettings (in Settings settings)
| Set local port settings.
int | switchToPort (in int sessionId, in KvmPort port)
| Switch local port to show given KVM port.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
| Invalid parameters.
constant int | ERR_ACCESS_DENIED = 2
| Port access denied.

## Detailed Description

Interface for local user interface.

Definition at line 12 of file LocalPort.idl.

## Member Enumeration Documentation

## ◆ ConnectKey

enum radm::LocalPort::ConnectKey

Keys for switching from local UI to KVM port.

Definition at line 27 of file LocalPort.idl.

## ◆ HotKey

enum radm::LocalPort::HotKey

Key combinations for switching from KVM port to local UI.

Definition at line 17 of file LocalPort.idl.

## ◆ LocalUserAuthMode

enum radm::LocalPort::LocalUserAuthMode

Authentication modes for local UI.

Enumerator
COMMON | Use authentication as configured (local/LDAP/Radius)
NONE | Do not use authentication.

Definition at line 35 of file LocalPort.idl.

## Member Function Documentation

## ◆ getMonitor()

LocalMonitor radm::LocalPort::getMonitor | ( |  | ) |

Get monitor attached to local port.

Returns
  Local monitor instance

## ◆ getSettings()

Settings radm::LocalPort::getSettings | ( |  | ) |

Get local port settings.

Returns
  Port settings

## ◆ setSettings()

int radm::LocalPort::setSettings | ( | in Settings | settings | ) |

Set local port settings.

Parameters

  settings | New settings

Returns
  0 if OK
  1 if any setting was invalid

## ◆ switchToPort()

int radm::LocalPort::switchToPort | ( | in int | sessionId,
|  | in KvmPort | port )

Switch local port to show given KVM port.

Parameters

  sessionId | ID of the session under which to execute the switch
  port | Port to switch to

Returns
  0 if OK
  1 if session ID was invalid
  2 if session is not allowed to access the given port

## Member Data Documentation

## ◆ ERR_ACCESS_DENIED

constant int radm::LocalPort::ERR_ACCESS_DENIED = 2

Port access denied.

Definition at line 14 of file LocalPort.idl.

## ◆ ERR_INVALID_ARGUMENT

constant int radm::LocalPort::ERR_INVALID_ARGUMENT = 1

Invalid parameters.

Definition at line 13 of file LocalPort.idl.

The documentation for this interface was generated from the following file:

- LocalPort.idl